io.undertow.websockets.core

## Class InvalidOpCodeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - io.undertow.websockets.core.WebSocketException
        - - io.undertow.websockets.core.InvalidOpCodeException

All Implemented Interfaces:
  Serializable

    public class InvalidOpCodeException
    extends WebSocketException

Author:
  Stuart Douglas
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidOpCodeException()`
`InvalidOpCodeException(String msg)`
`InvalidOpCodeException(String msg, Throwable cause)`
`InvalidOpCodeException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidOpCodeException

    public InvalidOpCodeException()

#### InvalidOpCodeException

    public InvalidOpCodeException(String msg,
                                  Throwable cause)

#### InvalidOpCodeException

    public InvalidOpCodeException(String msg)

#### InvalidOpCodeException

    public InvalidOpCodeException(Throwable cause)